Skip to main content
GET
Fetch one MCP policy

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Scopes

openid

Issue an OIDC ID token identifying the caller.

profile

Read the caller's basic profile claims.

email

Read the caller's email address.

Path Parameters

id
string
required

Identifier, a UUID

Response

The MCP policy

created_at
string
required
created_by
string
required
id
string
required
is_baseline
boolean
required
mcp_server_ids
string[]
required
name
string
required
rules
object[]
required
updated_at
string
required
updated_by
string
required